Package org.eclipse.mat.ui.editor

## Class AbstractEditorPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane

All Implemented Interfaces:
  `IAdaptable`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

Direct Known Subclasses:
  `CompositeHeapEditorPane`, `HeapEditorPane`, `PieChartPane`, `QueryResultPane`, `QueryTextResultPane`, `TextViewPane`

    public abstract class AbstractEditorPane
    extends Object
    implements IEditorPart

This is used to display a result of a query etc.

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
`AbstractEditorPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPropertyListener​(IPropertyListener listener)`
`void` `contributeToToolBar​(IToolBarManager manager)`
`void` `dispose()`
`void` `doSave​(IProgressMonitor monitor)`
`void` `doSaveAs()`
`<T> T` `getAdapter​(Class<T> adapter)`
`MultiPaneEditor` `getEditor()`
`IEditorInput` `getEditorInput()`
`IEditorSite` `getEditorSite()`
`String` `getPaneId()`
`PaneState` `getPaneState()`
`AbstractEditorPane` `getParentPane()`
`IQueryContext` `getQueryContext()`
`IWorkbenchPartSite` `getSite()`
`Image` `getTitleImage()`
`String` `getTitleToolTip()`
`void` `init​(IEditorSite site, IEditorInput input)`
`void` `initWithArgument​(Object argument)`
`boolean` `isDirty()`
`boolean` `isSaveAsAllowed()`
`boolean` `isSaveOnCloseNeeded()`
`void` `removePropertyListener​(IPropertyListener listener)`
`void` `setFocus()`
`void` `setPaneState​(PaneState paneState)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`createPartControl, getTitle`

### Constructor Detail

#### AbstractEditorPane

    public AbstractEditorPane()

### Method Detail

#### init

    public void init​(IEditorSite site,
                     IEditorInput input)
              throws PartInitException

Specified by:
  `init` in interface `IEditorPart`
Throws:
  `PartInitException`

#### getEditorInput

    public IEditorInput getEditorInput()

Specified by:
  `getEditorInput` in interface `IEditorPart`

#### getEditorSite

    public IEditorSite getEditorSite()

Specified by:
  `getEditorSite` in interface `IEditorPart`

#### initWithArgument

    public void initWithArgument​(Object argument)

Parameters:
  `argument` -

#### addPropertyListener

    public void addPropertyListener​(IPropertyListener listener)

Specified by:
  `addPropertyListener` in interface `IWorkbenchPart`

#### removePropertyListener

    public void removePropertyListener​(IPropertyListener listener)

Specified by:
  `removePropertyListener` in interface `IWorkbenchPart`

#### getSite

    public IWorkbenchPartSite getSite()

Specified by:
  `getSite` in interface `IWorkbenchPart`

#### getTitleImage

    public Image getTitleImage()

Specified by:
  `getTitleImage` in interface `IWorkbenchPart`

#### getTitleToolTip

    public String getTitleToolTip()

Specified by:
  `getTitleToolTip` in interface `IWorkbenchPart`

#### setFocus

    public void setFocus()

Specified by:
  `setFocus` in interface `IWorkbenchPart`

#### getAdapter

    public <T> T getAdapter​(Class<T> adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### doSave

    public final void doSave​(IProgressMonitor monitor)

Specified by:
  `doSave` in interface `ISaveablePart`

#### doSaveAs

    public final void doSaveAs()

Specified by:
  `doSaveAs` in interface `ISaveablePart`

#### isDirty

    public final boolean isDirty()

Specified by:
  `isDirty` in interface `ISaveablePart`

#### isSaveAsAllowed

    public final boolean isSaveAsAllowed()

Specified by:
  `isSaveAsAllowed` in interface `ISaveablePart`

#### isSaveOnCloseNeeded

    public final boolean isSaveOnCloseNeeded()

Specified by:
  `isSaveOnCloseNeeded` in interface `ISaveablePart`

#### contributeToToolBar

    public void contributeToToolBar​(IToolBarManager manager)

Parameters:
  `manager` -

#### getPaneId

    public String getPaneId()

#### getParentPane

    public AbstractEditorPane getParentPane()

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`

#### getPaneState

    public PaneState getPaneState()

#### setPaneState

    public void setPaneState​(PaneState paneState)

#### getEditor

    public MultiPaneEditor getEditor()

#### getQueryContext

    public IQueryContext getQueryContext()